Subject: Re: bug#59802: 30.0.50; Checkbox button not rendered

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Dec 2022 15:47:41 +0200

> From: Manuel Giraud <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 09 Dec 2022 14:57:13 +0100
> 
> > What happens if you manually create a buffer with the checkbox and
> > text following it -- does the problem happen in that case as well?
> 
> Here is my recipe and a short video on what it does for me.
> --8<---------------cut here---------------start------------->8---
> (set-frame-font "Mono-12")
> 
> (let ((text "XfooX"))
>   (put-text-property 0 1 'display '(image :type svg :file "/home/manuel/emacs/share/emacs/30.0.50/etc/images/checked.svg" :scale 1 :transform-smoothing t :ascent center) text)
>   (put-text-property 4 5 'display '(image :type svg :file "/home/manuel/emacs/share/emacs/30.0.50/etc/images/down.svg" :scale 1 :transform-smoothing t :ascent center) text)
>   (newline)
>   (insert text))
> 
> (set-frame-font "Inconsolata-20")
> (set-frame-font "Ttyp0-16")
> --8<---------------cut here---------------end--------------->8---

I don't have these fonts.  When I try other fonts with different
sizes, I don't see any problems.

And playing the video shows an empty screen here.